apply plugin: 'com.android.application'

android {
    compileSdkVersion 29

    lintOptions {
        checkReleaseBuilds false
    }

    defaultConfig {
        applicationId "com.cygnusa.hyperm"
        targetSdkVersion 29
        minSdkVersion 21
        versionCode 81
        versionName "8.1"
        multiDexEnabled true
    }

    repositories {
        maven {
            url 'http://dl.bintray.com/amulyakhare/maven'

        }
        maven {
            url "https://github.com/omadahealth/omada-nexus/raw/master/release"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
    compileOptions {
        sourceCompatibility = 1.8
        targetCompatibility = 1.8
    }
    buildToolsVersion = '29.0.3'
}
dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.google.firebase:firebase-messaging:20.2.4'
    implementation 'androidx.appcompat:appcompat:1.2.0'
    implementation 'com.google.firebase:firebase-core:17.5.0'
    implementation 'androidx.vectordrawable:vectordrawable-animated:1.1.0'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.google.android.material:material:1.2.1'
    implementation 'com.squareup.retrofit2:retrofit:2.6.2'
    implementation 'com.squareup.retrofit2:converter-gson:2.6.2'
    implementation 'com.squareup.okhttp3:logging-interceptor:4.2.2'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.legacy:legacy-support-v13:1.0.0'
    implementation 'androidx.multidex:multidex:2.0.1'
    implementation 'com.amulyakhare:com.amulyakhare.textdrawable:1.0.1'
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.github.bumptech.glide:glide:4.10.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.1'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.10.0'
    implementation 'com.github.siyamed:android-shape-imageview:0.9.3@aar'
    implementation 'com.ogaclejapan.smarttablayout:library:2.0.0@aar'
    implementation 'com.ogaclejapan.smarttablayout:utils-v13:1.7.0@aar'
    implementation 'androidx.palette:palette:1.0.0'
    implementation 'jp.wasabeef:recyclerview-animators:2.3.0'
    implementation 'com.github.barteksc:android-pdf-viewer:3.0.0-beta.5'
    implementation 'com.github.tylersuehr7:empty-state-recyclerview:1.0.4'
    implementation "me.leolin:ShortcutBadger:1.1.22@aar"
    implementation 'io.reactivex.rxjava2:rxjava:2.2.14'
    implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
    implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
    implementation 'com.budiyev.android:circular-progress-bar:1.1.9'
    implementation 'com.github.PhilJay:MPAndroidChart:v3.0.3'
    implementation 'com.andrognito.pinlockview:pinlockview:2.1.0'
    implementation 'com.github.traex.rippleeffect:ripple:1.3.1-OG'
    implementation 'uk.me.lewisdeane.ldialogs:ldialogs:1.2.0@aar'
    implementation 'com.intuit.sdp:sdp-android:1.0.6'
    implementation 'com.github.douglasjunior:android-simple-tooltip:0.2.2'
    implementation 'net.cachapa.expandablelayout:expandablelayout:2.9.2'
    implementation 'com.github.warkiz.widget:indicatorseekbar:2.1.2'
    implementation 'org.jsoup:jsoup:1.11.3'
    implementation 'com.squareup.okhttp:okhttp:2.7.5'
    implementation 'com.github.aakira:expandable-layout:1.6.0@aar'
    implementation 'com.wdullaer:materialdatetimepicker:4.2.3'
    implementation 'com.github.lzyzsd:circleprogress:1.2.1'
    implementation 'com.annimon:stream:1.2.1'
    implementation 'com.yanzhenjie.zbar:camera:1.0.0'
    implementation 'com.yanzhenjie:permission:2.0.3'
    implementation 'net.danlew:android.joda:2.10.6.1'
}
apply plugin: 'com.google.gms.google-services'
